<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

		<title>CSS and Bootstrap</title>
	</head>
	<body>

		<div class="text-center">
			<h1>Bootstrap Flex</h1>
			<p>Use the d-flex class to create a flex container and transform direct children into flex items</p>

			<h2>Centering Elements</h2>
			<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column-reverse">
				<div class="h-25 p-3 bg-success">Item A</div>
				<div class="h-25 p-3 bg-warning">Item B</div>
				<div class="h-25 p-3 bg-danger">Item C</div>
			</div>

			<h2>Flex Row</h2>
			<div class="bg-dark p-3 d-flex flex-row">
				<div class="p-3 bg-success">Item A</div>
				<div class="p-3 bg-warning">Item B</div>
				<div class="p-3 bg-danger">Item C</div>
			</div>

			<h2>Flex Row Reverse</h2>
			<div class="bg-dark p-3 d-flex flex-row-reverse">
				<div class="p-3 bg-success">Item A</div>
				<div class="p-3 bg-warning">Item B</div>
				<div class="p-3 bg-danger">Item C</div>
			</div>

			<h2>Creating Space Between Elements</h2>
			<div class="bg-dark p-3 d-sm-flex justify-content-around">
					<div class="bg-dark">
						<div class="p-3 bg-success">Card A</div>
					</div>
					<div class="bg-dark">
						<div class="p-3 bg-warning">Card A</div>
					</div>
					<div class="bg-dark">
						<div class="p-3 bg-danger">Card A</div>
					</div>
			</div>

			<h2>Flexbox With Margin</h2>
			<div class="d-flex bg-dark p-3">
				<div class="mr-auto">
					<div class="p-3 bg-success">Flex Item A</div>
				</div>
				<div class="d-flex flex-row">
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
					<div class="p-3 bg-primary">Flex Item D</div>
				</div>
			</div>

			<h2>Nested Flex</h2>
			<div class="bg-dark p-3 d-md-flex">
				<div class="mr-auto">
					<div class="p-3 bg-success">Flex Item A</div>
				</div>
				<div class="d-flex flex-column flex-md-row justify-content-between w-50">
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
					<div class="p-3 bg-primary">Flex Item D</div>
				</div>
			</div>
		</div>

		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.3/dist/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
		
	</body>
</html>